APIs / ImmobilienScout24 / Search

ImmobilienScout24: Search

Search from ImmobilienScout24 as JSON. 1 credit per successful call.

GET /v1/immobilienscout24/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
locationstringRequiredUp to 255 characters
typestringOptionalapartment-rent, apartment-buy, house-rent, house-buy
price_minintegerOptionalAny
price_maxintegerOptionalAny
rooms_minnumberOptionalAny
rooms_maxnumberOptionalAny
size_minintegerOptionalAny
size_maxintegerOptionalAny
pageintegerOptionalAny
per_pageintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/immobilienscout24/search?location=Berlin&type=apartment-rent" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.